.card {
    border: none;
}

aside {
    z-index: 2;
    position: absolute;
    width: 297px;
    /*background: #163468 0% 0% no-repeat padding-box;*/
}

#sideBarContainer {
    background-color: #163468;
    border-radius: 0;
    color: white;
    height: 100%;
}

#sideBarHeader {
    height: 45px;
    padding: 0;
    border: none;
    padding-top: 3px;
}

#sideBarToolsBtn {
    display: flex;
    flex-direction: row;
    align-items: center;
    text-decoration: none;
    color: white;
    /*padding-left: 0;*/
}

#sideBarToolsBtn>div {
    margin-left: 11px;
}

#sideBarContent>.card-body {
    height: 100vh;
    padding: 0;
}


/* Side bar sections */

.sideBarSectionContainer {
    background-color: transparent;
    /* margin-bottom: 10px; */
    border: 0;
}

.sideBarSectionHeader {
    background-color: #122950;
    height: 35px;
    padding: 0;
    /*margin-left: 5px;*/
    /*margin-right: 5px;*/
}

#dessinSectionBtn,
#librairieSectionBtn {
    text-decoration: none;
    color: white;
    display: flex;
    align-items: center;
    font-size: 14px;
    width: 100%;
}

.sideBarSectionBtn>i {
    position: absolute;
    right: 20px;
    transform: rotate(0deg);
}

.sideBarSectionBtn.collapsed>i {
    transform: rotate(180deg);
}

#dessinSectionContent>.card-body {
    padding: 0;
    padding-top: 10px;
    padding-left: 10px;
    padding-right: 10px;
    margin-bottom: 10px;
}

.lineBtn {
    display: flex;
    flex-direction: row;
}

#firstLineBtn>#textBtn,
#firstLineBtn>#pochageBtn {
    margin-right: 5px;
}

.lineBtn>.btn {
    background-color: white;
    display: flex;
    flex-direction: row;
    align-items: center;
    padding-left: 8px;
    height: 35px;
    flex: 1;
}

.lineBtn>.btn>.btn-text {
    font-size: 12px;
    height: 0;
}

.lineBtn>.btn>.fas {
    margin-right: 7px;
}

.lineBtn>.btn:hover,
.lineBtn>.btn.selected {
    background-color: #FCAF35;
    color: white;
}

#clotureIcon {
    font-size: 20px;
    height: 15px;
}

#clotureBtn.selected>#clotureIcon,
#clotureBtn:hover>#clotureIcon {
    filter: invert(100%) sepia(0%) saturate(7500%) hue-rotate(23deg) brightness(118%) contrast(118%);
}

#secondLineBtn {
    margin-top: 5px;
}

#secondLineBtn>.btn {
    flex: 1;
}

#colorSection,
#styleClotureSection {
    border-left: 2px solid white;
    display: none;
    flex-direction: row;
    align-items: center;
    margin-top: 10px;
    margin-bottom: 10px;
    margin-left: 2px;
    padding-left: 10px;
}

#styleClotureSection {
    display: flex;
    flex-direction: row;
    align-items: center;
}

#colorSection>label,
#styleClotureSection>label {
    height: 11px;
    margin-right: 5px;
    font-size: 12px;
}

#styleClotureSection>label {
    margin-left: 10px;
}

.sp-replacer {
    height: 14px;
    width: 36px;
    border: 0;
}

.sp-dd {
    display: none;
}

#colorPicker {
    background-color: transparent;
    border: 0;
}

#colorPicker:focus {
    outline: none;
}


/* Librairie section */

#librairieSectionContent {
    width: 297px;
    height: 58vh;
    overflow-y: scroll;
}

#librairieSectionContent>.card-body {
    padding: 10px 10px 0;
    width: 100%;
    height: 100%;
}

.librarySectionLine {
    display: flex;
    flex-direction: row;
    width: 100%;
    height: 100%;
    flex-wrap: wrap;
    align-content: flex-start;
    justify-content: space-between;
}

.itemCard {
    display: flex;
    flex-direction: column;
    background-color: white;
    border: 1px solid white;
    border-radius: 3px;
    justify-content: center;
    height: 105px;
    width: 85px;
    margin-bottom: 10px;
}

.itemCard:hover {
    cursor: move;
}

.itemCard>.imgContainer {
    width: 100%;
    flex: 2;
    display: flex;
    align-items: center;
}

.itemCard>.imgContainer>img {
    width: 100%;
}

.itemCard>p {
    color: #122950;
    text-align: center;
    font-size: 13px;
    margin-bottom: 0px;
    flex: 1;
}

#downloadSection {
    position: absolute;
    bottom: 78px;
    width: 100%;
    text-align: center;
    cursor: pointer;
    background-color: #163468;
}

#downloadSection>p {
    margin-top: 0;
    margin-bottom: 1rem;
    border-top: 2px solid #122950;
    margin-left: 10px;
    margin-right: 10px;
    padding-top: 10px;
    font-size: 14px;
}

#downloadSection>p>i {
    margin-right: 10px;
}

#sideBarContent.collapsing>.card-body>#downloadSection {
    display: none;
}

#editCartoucheBtn,
#saveBtn {
    background-color: #122950;
    height: 35px;
    width: 100%;
    text-align: left;
    padding: 0 12px;
    color: white;
    font-size: 14px;
    border-radius: 0;
}

#editCartoucheBtn,
#dessinSectionHeader,
#librairieSectionHeader,
#saveBtn {
    border-bottom: 1px solid #0f2141;
}

#editCartoucheBtn:hover,
#dessinSectionHeader:hover,
#librairieSectionHeader:hover,
#saveBtn:hover {
    background-color: #0f2141;
}

.card-header:first-child {
    border-radius: 0;
}